Bug 1076017 (CVE-2018-1000004)

Summary: VUL-0: CVE-2018-1000004: kernel-source: ALSA: sequencer use-after-free / deadlock
Product: [Novell Products] SUSE Security Incidents Reporter: Marcus Meissner <meissner>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P3 - Medium CC: matthias.gerstner
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
Whiteboard: CVSSv3:SUSE:CVE-2018-1000004:5.5:(AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H) maint:released:oes11-sp2:63989
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---
Attachments: The fix for older kernels
competition.c

Comment 4 Matthias Gerstner 2018-01-15 17:22:02 UTC
Takashi, I had a look at our maintained kernel sources and the code in e.g.
SLE-12 for seq_clientmgr.c looks very different from the current upstream
kernel code.

Can you help us determining which kernel versions are affected by this?

Thank you.
Comment 5 Takashi Iwai 2018-01-15 18:05:55 UTC
(In reply to Matthias Gerstner from comment #4)
> Takashi, I had a look at our maintained kernel sources and the code in e.g.
> SLE-12 for seq_clientmgr.c looks very different from the current upstream
> kernel code.
> 
> Can you help us determining which kernel versions are affected by this?

Basically all kernels are affected.

The fix for older kernels would be simple: just put the new mutex_lock(&client->ioctl_lock) / unlock() around snd_seq_do_ioctl() call in snd_seq_ioctl() in seq_clientmgr.c.
Comment 6 Takashi Iwai 2018-01-15 19:33:47 UTC
Created attachment 756121 [details]
The fix for older kernels

For kernels < 4.9, this patch should be applicable.
I'll send it to Greg once when my tree gets merged to Linus; the pull-request is planned in tomorrow or on Wednesday.
Comment 7 Marcus Meissner 2018-01-16 15:31:53 UTC
was posted by reporter to oss-sec

PRODUCT243272 linux kernel
VERSION243272   Most versions.some deadlock ,some uaf.2.6241243I tested 2.6 versions, 3.10 versions, and 4.12
PROBLEMTYPE:  deadlock  or uaf
REFERENCES243272https://github.com/torvalds/linux/commit/b3defb791b26ea0683a93a4f49c77ec45ec96f10
DESCRIPTION243272
This vulnerability, which belong to UAF caused by race conditions,
can impact the majority of linux distribution(audio system).


In file seq_clientmgr.c, function snd_seq_write and
snd_seq_ioctl_set_client_pool can cause conditional competition problems
when multi-thread is used.

snd_seq_write calls snd_seq_cell_alloc to allocate memories for cell from
client->pool. When pool is exhausted, schedule is called to switch current
thread to another thread, and add current thread to a queue for waiting.

snd_seq_ioctl_set_client_pool calls snd_seq_pool_mark_closing to set
client->pool->closeing to 1, in order to prevent re-entrant. It also
calls snd_seq_queue_client_leave_cells to release cell. And it then calls
snd_seq_pool_done, first to release pool and allocate new pool and second
to set client->pool->closeing to 0. Function wake_up is both called in
snd_seq_queue_client_leave_cells and snd_seq_pool_done, to wake up the
thread in the waiting queue mentioned above, avoiding the use of any
wild pointer.

All is seemed to be well designed , but there is a trick:


-- Thread A --
step 1:
A calls snd_seq_write to exhaust pool.

step 2:
snd_seq_write calls func schedule to schedule threads, now go to Thread B.



-- Thread B --
step 1:
B calls snd_seq_ioctl_set_client_pool.

step 2:
snd_seq_ioctl_set_client_pool calls snd_seq_pool_mark_closing.
snd_seq_pool_mark_closing sets client->pool->closeing to 1.

step 3: 
Then snd_seq_ioctl_set_client_pool calls snd_seq_queue_client_leave_cells.
snd_seq_queue_client_leave_cells release the memories of cells.
snd_seq_queue_client_leave_cells calls wake_up, now back to Thread A.



-- Back To Thread A -- 
step 1:
A will find out that client->pool->closeing is 1, so snd_seq_cell_alloc fails.

step 2:
Returning from snd_seq_cell_alloc to snd_seq_write. snd_seq_write also fails.

step 3:
A now call snd_seq_ioctl_set_client_pool.

step 4:
snd_seq_ioctl_set_client_pool calls snd_seq_pool_mark_closing.
snd_seq_pool_mark_closing sets client->pool->closeing to 1 again.

step 5:
Then snd_seq_ioctl_set_client_pool calls snd_seq_queue_client_leave_cells.
cell is already release by B.
And because no thread is in waiting queue, so wake_up will not be called.

step 6:
Then snd_seq_ioctl_set_client_pool calls snd_seq_pool_done.
snd_seq_pool_done release pool and allocate new pool.
snd_seq_pool_done sets client->pool->closeing to 0.
Now it's become reentrant.

step 8:
So after a call to snd_seq_ioctl_set_client_pool, pool is new.
Thread A can call snd_seq_write many times to exhaust the memories of pool.
Then A go to sleep, now switch to thread B.



-- Back To Thread B --
step 1:
Back to snd_seq_queue_client_leave_cells, after previous call to wake_up.

step 2:
Return to snd_seq_ioctl_set_client_pool.
snd_seq_ioctl_set_client_pool call snd_seq_pool_done.
snd_seq_pool_done release and allocate new pool.
now client->pool->closeing is already 0, and pool is new.

--------------------------------------------------------------------

Now you see, the pool allocated by thread A is now released by thread B.
And thread B allocate new pool, which is the 3rd pool.

But in thread A, in snd_seq_cell_alloc called by snd_seq_write, the pool is 
actually the 2cd pool, and meet a dead loop:

while (pool->free == NULL && ! nonblock && ! pool->closing)

Note the 2cd pool is released by thread B in B's snd_seq_ioctl_set_client_pool.

Further more, if serveral threads switch between sechedule and wake_up, there will be more obvious sequelae.

----------------------------------------------------

call stack:

thread a:
-> snd_seq_write
   -> snd_seq_client_enqueue_event 
      -> snd_seq_event_dup
         -> snd_seq_cell_alloc
            -> schedule -> thread b

thread b:
-> snd_seq_ioctl_set_client_pool
   -> snd_seq_pool_mark_closing    (set closeing to 1)
   -> snd_seq_queue_client_leave_cells  (release cell)
      -> wake_up -> thread a

thread a:
-> snd_seq_ioctl_set_client_pool
   -> snd_seq_pool_mark_closing    (set closeing to 1 again)
   -> snd_seq_queue_client_leave_cells  (already release cell by thread b)
   -> snd_seq_pool_done    (release pool and allocate new pool, 2cd pool;
                            set closeing to 0)
-> snd_seq_write
   -> snd_seq_client_enqueue_event 
      -> snd_seq_event_dup
         -> snd_seq_cell_alloc
            -> schedule -> thread b

thread b:
   back to snd_seq_queue_client_leave_cells, after func wake_up
   -> snd_seq_queue_client_leave_cells
   -> snd_seq_pool_done    (release pool and allocate new pool, 3rd pool;
                            set closeing to 0)
      (leave 2cd pool's cell unhandled)
      -> wake_up -> thread a:

thread a:
-> snd_seq_cell_alloc:
   while (pool->free == NULL && ! nonblock && ! pool->closing)
   meet dead loop, now pool in thread a is the 2cd pool, has been released,
   now is a wild pointer.


---EOF---
Comment 8 Marcus Meissner 2018-01-16 15:37:08 UTC
Created attachment 756261 [details]
competition.c

QA REPRODUCER:

gcc -o competition competition.c -pthread -O2

./competition



not sure what should happen, not much happens here
Comment 9 Takashi Iwai 2018-01-16 15:39:08 UTC
(In reply to Marcus Meissner from comment #8)
> not sure what should happen, not much happens here

In most cases, the processes become unkillable.
Comment 10 Takashi Iwai 2018-01-16 15:40:43 UTC
No CVE assigned?
Comment 11 Matthias Gerstner 2018-01-16 15:47:58 UTC
(In reply to meissner@suse.com from comment #8)
> QA REPRODUCER:
> 
> gcc -o competition competition.c -pthread -O2
> 
> ./competition
> 
> not sure what should happen, not much happens here

Since this is a race condition it will probably only show with good
parallelization i.e. multiple processors involved. I was able to reproduce on
SLES12-SP3 in a qemu VM started with `-smp 2`. The reproducer program will
become "defunct", can't be killed any more and consumes a little CPU.
Rebooting becomes difficult since the process can't be ended by systemd and a
long timeout ensues.
Comment 12 Marcus Meissner 2018-01-16 15:56:09 UTC
Ok, I also saw it going defunct and unkillable.

I asked for CVE assignment, should come today/tomorrow.
Comment 13 Marcus Meissner 2018-01-16 16:41:56 UTC
CVE-2018-1000004
Comment 14 Takashi Iwai 2018-01-16 17:08:46 UTC
The fix was backported to SLE12-SP2, SLE12-SP3, SLE15, stable, cve/linux-3.12, cve/linux-3.0, cve/linux-2.6.32 and cve/linux-2.6.16 branches.

Reassigned back to security team.
Comment 15 Swamp Workflow Management 2018-02-07 17:19:17 UTC
SUSE-SU-2018:0383-1: An update that solves 9 vulnerabilities and has 68 fixes is now available.

Category: security (important)
Bug References: 1005778,1005780,1005781,1012382,1012917,1015342,1015343,1019784,1022476,1022595,1022912,1024296,1024376,1031395,1031492,1031717,1037838,1038078,1038085,1040182,1043652,1048325,1048585,1053472,1060279,1062129,1066163,1066223,1068032,1068038,1068569,1068984,1069138,1069160,1070052,1070799,1072163,1072484,1073229,1073928,1074134,1074488,1074621,1074709,1074839,1074847,1075066,1075078,1075087,1075091,1075397,1075428,1075617,1075621,1075627,1075811,1075994,1076017,1076110,1076187,1076232,1076805,1076847,1076872,1076899,1077068,1077560,1077592,1077704,1077871,1078002,1078681,963844,966170,966172,973818,985025
CVE References: CVE-2017-15129,CVE-2017-17712,CVE-2017-17862,CVE-2017-17864,CVE-2017-18017,CVE-2017-5715,CVE-2018-1000004,CVE-2018-5332,CVE-2018-5333
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP3 (src):    kernel-default-4.4.114-94.11.3
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    kernel-docs-4.4.114-94.11.4, kernel-obs-build-4.4.114-94.11.3
SUSE Linux Enterprise Server 12-SP3 (src):    kernel-default-4.4.114-94.11.3, kernel-source-4.4.114-94.11.2, kernel-syms-4.4.114-94.11.2
SUSE Linux Enterprise Live Patching 12-SP3 (src):    kgraft-patch-SLE12-SP3_Update_8-1-4.3.5
SUSE Linux Enterprise High Availability 12-SP3 (src):    kernel-default-4.4.114-94.11.3
SUSE Linux Enterprise Desktop 12-SP3 (src):    kernel-default-4.4.114-94.11.3, kernel-source-4.4.114-94.11.2, kernel-syms-4.4.114-94.11.2
SUSE CaaS Platform ALL (src):    kernel-default-4.4.114-94.11.3
Comment 16 Swamp Workflow Management 2018-02-09 14:19:18 UTC
openSUSE-SU-2018:0408-1: An update that solves 9 vulnerabilities and has 70 fixes is now available.

Category: security (important)
Bug References: 1012382,1015342,1015343,1019784,1022595,1022912,1024296,1024376,1031492,1031717,1037838,1038078,1038085,1040182,1043652,1048325,1048585,1053472,1060279,1062129,1066163,1066223,1068032,1068038,1068569,1068984,1069138,1069160,1070052,1070799,1072163,1072484,1073229,1073230,1073928,1074134,1074488,1074621,1074709,1074839,1074847,1075066,1075078,1075087,1075091,1075397,1075428,1075617,1075621,1075627,1075811,1075994,1076017,1076110,1076187,1076232,1076805,1076847,1076872,1076899,1077068,1077513,1077560,1077592,1077704,1077779,1077871,1078002,1078681,1078787,1079038,1079195,963844,966170,966172,969476,969477,973818,985025
CVE References: CVE-2017-15129,CVE-2017-17712,CVE-2017-17862,CVE-2017-17864,CVE-2017-18017,CVE-2017-5715,CVE-2018-1000004,CVE-2018-5332,CVE-2018-5333
Sources used:
openSUSE Leap 42.3 (src):    kernel-debug-4.4.114-42.1, kernel-default-4.4.114-42.1, kernel-docs-4.4.114-42.1, kernel-obs-build-4.4.114-42.1, kernel-obs-qa-4.4.114-42.1, kernel-source-4.4.114-42.1, kernel-syms-4.4.114-42.1, kernel-vanilla-4.4.114-42.1
Comment 17 Swamp Workflow Management 2018-02-09 20:22:28 UTC
SUSE-SU-2018:0416-1: An update that solves 9 vulnerabilities and has 44 fixes is now available.

Category: security (important)
Bug References: 1012382,1012917,1019784,1022476,1031717,1038078,1038085,1043652,1048585,1052360,1060279,1066223,1066842,1068032,1068038,1068569,1068984,1069160,1070799,1072163,1072484,1072589,1073229,1073928,1074134,1074392,1074488,1074621,1074709,1074839,1074847,1075066,1075078,1075087,1075091,1075428,1075617,1075621,1075627,1075994,1076017,1076110,1076806,1076809,1076872,1076899,1077068,1077560,1077592,1078526,1078681,963844,988524
CVE References: CVE-2017-15129,CVE-2017-17712,CVE-2017-17862,CVE-2017-17864,CVE-2017-18017,CVE-2017-5715,CVE-2018-1000004,CVE-2018-5332,CVE-2018-5333
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP2 (src):    kernel-default-4.4.114-92.64.1
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    kernel-docs-4.4.114-92.64.2, kernel-obs-build-4.4.114-92.64.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    kernel-default-4.4.114-92.64.1, kernel-source-4.4.114-92.64.1, kernel-syms-4.4.114-92.64.1
SUSE Linux Enterprise Server 12-SP2 (src):    kernel-default-4.4.114-92.64.1, kernel-source-4.4.114-92.64.1, kernel-syms-4.4.114-92.64.1
SUSE Linux Enterprise Live Patching 12 (src):    kgraft-patch-SLE12-SP2_Update_18-1-3.3.2
SUSE Linux Enterprise High Availability 12-SP2 (src):    kernel-default-4.4.114-92.64.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    kernel-default-4.4.114-92.64.1, kernel-source-4.4.114-92.64.1, kernel-syms-4.4.114-92.64.1
OpenStack Cloud Magnum Orchestration 7 (src):    kernel-default-4.4.114-92.64.1
Comment 18 Swamp Workflow Management 2018-02-13 20:10:36 UTC
SUSE-SU-2018:0437-1: An update that solves 8 vulnerabilities and has 13 fixes is now available.

Category: security (important)
Bug References: 1012382,1047626,1068032,1070623,1073311,1073792,1073874,1075091,1075908,1075994,1076017,1076110,1076154,1076278,1077355,1077560,1077922,893777,893949,902893,951638
CVE References: CVE-2015-1142857,CVE-2017-13215,CVE-2017-17741,CVE-2017-17805,CVE-2017-17806,CVE-2017-18079,CVE-2017-5715,CVE-2018-1000004
Sources used:
SUSE Linux Enterprise Server 12-LTSS (src):    kernel-default-3.12.61-52.119.1, kernel-source-3.12.61-52.119.1, kernel-syms-3.12.61-52.119.1, kernel-xen-3.12.61-52.119.1, kgraft-patch-SLE12_Update_31-1-1.7.1
SUSE Linux Enterprise Module for Public Cloud 12 (src):    kernel-ec2-3.12.61-52.119.1
Comment 19 Swamp Workflow Management 2018-02-19 23:16:29 UTC
SUSE-SU-2018:0482-1: An update that solves 9 vulnerabilities and has 44 fixes is now available.

Category: security (important)
Bug References: 1012382,1019784,1031717,1036737,1038078,1038085,1043652,1048585,1052360,1060279,1066223,1066842,1068032,1068038,1068569,1068984,1069160,1070799,1072163,1072484,1072589,1073229,1073230,1073928,1074134,1074488,1074621,1074709,1074839,1074847,1075066,1075078,1075087,1075091,1075428,1075617,1075621,1075627,1075994,1076017,1076110,1076806,1076809,1076872,1076899,1077068,1077560,1077592,1077871,1078526,1078681,963844,988524
CVE References: CVE-2017-15129,CVE-2017-17712,CVE-2017-17862,CVE-2017-17864,CVE-2017-18017,CVE-2017-5715,CVE-2018-1000004,CVE-2018-5332,CVE-2018-5333
Sources used:
SUSE Linux Enterprise Real Time Extension 12-SP2 (src):    kernel-rt-4.4.114-27.1, kernel-rt_debug-4.4.114-27.1, kernel-source-rt-4.4.114-27.1, kernel-syms-rt-4.4.114-27.1
Comment 20 Swamp Workflow Management 2018-02-22 20:10:23 UTC
SUSE-SU-2018:0525-1: An update that solves 8 vulnerabilities and has 19 fixes is now available.

Category: security (important)
Bug References: 1012382,1047118,1047626,1068032,1070623,1073246,1073311,1073792,1073874,1074709,1075091,1075411,1075908,1075994,1076017,1076110,1076154,1076278,1077182,1077355,1077560,1077922,1081317,893777,893949,902893,951638
CVE References: CVE-2015-1142857,CVE-2017-13215,CVE-2017-17741,CVE-2017-17805,CVE-2017-17806,CVE-2017-18079,CVE-2017-5715,CVE-2018-1000004
Sources used:
SUSE OpenStack Cloud 6 (src):    kernel-default-3.12.74-60.64.82.1, kernel-source-3.12.74-60.64.82.1, kernel-syms-3.12.74-60.64.82.1, kernel-xen-3.12.74-60.64.82.1, kgraft-patch-SLE12-SP1_Update_25-1-2.9.1
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    kernel-default-3.12.74-60.64.82.1, kernel-source-3.12.74-60.64.82.1, kernel-syms-3.12.74-60.64.82.1, kernel-xen-3.12.74-60.64.82.1, kgraft-patch-SLE12-SP1_Update_25-1-2.9.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    kernel-default-3.12.74-60.64.82.1, kernel-source-3.12.74-60.64.82.1, kernel-syms-3.12.74-60.64.82.1, kernel-xen-3.12.74-60.64.82.1, kgraft-patch-SLE12-SP1_Update_25-1-2.9.1
SUSE Linux Enterprise Module for Public Cloud 12 (src):    kernel-ec2-3.12.74-60.64.82.1
Comment 21 Swamp Workflow Management 2018-02-27 20:12:40 UTC
SUSE-SU-2018:0555-1: An update that solves 9 vulnerabilities and has 40 fixes is now available.

Category: security (important)
Bug References: 1012382,1045538,1048585,1050431,1054305,1059174,1060279,1060682,1063544,1064861,1068032,1068984,1069508,1070623,1070781,1073311,1074488,1074621,1074880,1075088,1075091,1075410,1075617,1075621,1075908,1075994,1076017,1076154,1076278,1076437,1076849,1077191,1077355,1077406,1077487,1077560,1077922,1078875,1079917,1080133,1080359,1080363,1080372,1080579,1080685,1080774,1081500,936530,962257
CVE References: CVE-2015-1142857,CVE-2017-13215,CVE-2017-17741,CVE-2017-18017,CVE-2017-18079,CVE-2017-5715,CVE-2018-1000004,CVE-2018-5332,CVE-2018-5333
Sources used:
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    kernel-docs-3.0.101-108.35.1
SUSE Linux Enterprise Server 11-SP4 (src):    kernel-bigmem-3.0.101-108.35.1, kernel-default-3.0.101-108.35.1, kernel-ec2-3.0.101-108.35.1, kernel-pae-3.0.101-108.35.1, kernel-ppc64-3.0.101-108.35.1, kernel-source-3.0.101-108.35.1, kernel-syms-3.0.101-108.35.1, kernel-trace-3.0.101-108.35.1, kernel-xen-3.0.101-108.35.1
SUSE Linux Enterprise Server 11-EXTRA (src):    kernel-default-3.0.101-108.35.1, kernel-pae-3.0.101-108.35.1, kernel-ppc64-3.0.101-108.35.1, kernel-trace-3.0.101-108.35.1, kernel-xen-3.0.101-108.35.1
SUSE Linux Enterprise Real Time Extension 11-SP4 (src):    cluster-network-1.4-2.32.4.6, drbd-kmp-8.4.4-0.27.4.6, gfs2-2-0.24.4.6, ocfs2-1.6-0.28.5.6
SUSE Linux Enterprise High Availability Extension 11-SP4 (src):    cluster-network-1.4-2.32.4.6, drbd-8.4.4-0.27.4.2, drbd-kmp-8.4.4-0.27.4.6, gfs2-2-0.24.4.6, ocfs2-1.6-0.28.5.6
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    drbd-8.4.4-0.27.4.2, kernel-bigmem-3.0.101-108.35.1, kernel-default-3.0.101-108.35.1, kernel-ec2-3.0.101-108.35.1, kernel-pae-3.0.101-108.35.1, kernel-ppc64-3.0.101-108.35.1, kernel-trace-3.0.101-108.35.1, kernel-xen-3.0.101-108.35.1
Comment 22 Swamp Workflow Management 2018-03-12 11:11:03 UTC
SUSE-SU-2018:0660-1: An update that solves 8 vulnerabilities and has 14 fixes is now available.

Category: security (important)
Bug References: 1012382,1054305,1060279,1068032,1068984,1070781,1073311,1074488,1074621,1075091,1075410,1075617,1075621,1075908,1075994,1076017,1076154,1076278,1076849,1077406,1077560,1077922
CVE References: CVE-2017-13215,CVE-2017-17741,CVE-2017-18017,CVE-2017-18079,CVE-2017-5715,CVE-2018-1000004,CVE-2018-5332,CVE-2018-5333
Sources used:
SUSE Linux Enterprise Server 11-SP3-LTSS (src):    kernel-bigsmp-3.0.101-0.47.106.19.1, kernel-default-3.0.101-0.47.106.19.1, kernel-ec2-3.0.101-0.47.106.19.1, kernel-pae-3.0.101-0.47.106.19.1, kernel-source-3.0.101-0.47.106.19.1, kernel-syms-3.0.101-0.47.106.19.1, kernel-trace-3.0.101-0.47.106.19.1, kernel-xen-3.0.101-0.47.106.19.1
SUSE Linux Enterprise Server 11-EXTRA (src):    kernel-bigsmp-3.0.101-0.47.106.19.1, kernel-default-3.0.101-0.47.106.19.1, kernel-pae-3.0.101-0.47.106.19.1, kernel-ppc64-3.0.101-0.47.106.19.1, kernel-trace-3.0.101-0.47.106.19.1, kernel-xen-3.0.101-0.47.106.19.1
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    kernel-default-3.0.101-0.47.106.19.1, kernel-ec2-3.0.101-0.47.106.19.1, kernel-pae-3.0.101-0.47.106.19.1, kernel-source-3.0.101-0.47.106.19.1, kernel-syms-3.0.101-0.47.106.19.1, kernel-trace-3.0.101-0.47.106.19.1, kernel-xen-3.0.101-0.47.106.19.1
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    kernel-bigsmp-3.0.101-0.47.106.19.1, kernel-default-3.0.101-0.47.106.19.1, kernel-ec2-3.0.101-0.47.106.19.1, kernel-pae-3.0.101-0.47.106.19.1, kernel-trace-3.0.101-0.47.106.19.1, kernel-xen-3.0.101-0.47.106.19.1
Comment 23 Swamp Workflow Management 2018-03-29 13:13:22 UTC
SUSE-SU-2018:0841-1: An update that solves 9 vulnerabilities and has 41 fixes is now available.

Category: security (important)
Bug References: 1012382,1045538,1048585,1049128,1050431,1054305,1059174,1060279,1060682,1063544,1064861,1068032,1068984,1069508,1070623,1070781,1073311,1074488,1074621,1074880,1075088,1075091,1075410,1075617,1075621,1075908,1075994,1076017,1076154,1076278,1076437,1076849,1077191,1077355,1077406,1077487,1077560,1077922,1078875,1079917,1080133,1080359,1080363,1080372,1080579,1080685,1080774,1081500,936530,962257
CVE References: CVE-2015-1142857,CVE-2017-13215,CVE-2017-17741,CVE-2017-18017,CVE-2017-18079,CVE-2017-5715,CVE-2018-1000004,CVE-2018-5332,CVE-2018-5333
Sources used:
SUSE Linux Enterprise Real Time Extension 11-SP4 (src):    kernel-rt-3.0.101.rt130-69.21.1, kernel-rt_trace-3.0.101.rt130-69.21.1, kernel-source-rt-3.0.101.rt130-69.21.1, kernel-syms-rt-3.0.101.rt130-69.21.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    kernel-rt-3.0.101.rt130-69.21.1, kernel-rt_debug-3.0.101.rt130-69.21.1, kernel-rt_trace-3.0.101.rt130-69.21.1
Comment 24 Swamp Workflow Management 2018-04-19 13:24:52 UTC
SUSE-SU-2018:0986-1: An update that solves 19 vulnerabilities and has 166 fixes is now available.

Category: security (important)
Bug References: 1006867,1012382,1015342,1015343,1019784,1020645,1022595,1022607,1022912,1024296,1024376,1027054,1031492,1031717,1033587,1034503,1037838,1038078,1038085,1040182,1042286,1043441,1043652,1043725,1043726,1048325,1048585,1053472,1060279,1062129,1065600,1065615,1066163,1066223,1067118,1068032,1068038,1068569,1068984,1069135,1069138,1069160,1070052,1070404,1070799,1071306,1071892,1072163,1072363,1072484,1072689,1072739,1072865,1073229,1073401,1073407,1073928,1074134,1074198,1074426,1074488,1074621,1074839,1074847,1075066,1075078,1075087,1075091,1075397,1075428,1075617,1075621,1075627,1075811,1075994,1076017,1076110,1076187,1076232,1076282,1076693,1076760,1076805,1076847,1076872,1076899,1076982,1077068,1077241,1077285,1077513,1077560,1077592,1077704,1077779,1077871,1078002,1078583,1078672,1078673,1078681,1078787,1079029,1079038,1079195,1079313,1079384,1079609,1079886,1079989,1080014,1080263,1080321,1080344,1080364,1080384,1080464,1080533,1080656,1080774,1080813,1080851,1081134,1081431,1081436,1081437,1081491,1081498,1081500,1081512,1081514,1081681,1081735,1082089,1082223,1082299,1082373,1082478,1082632,1082795,1082864,1082897,1082979,1082993,1083048,1083056,1083086,1083223,1083387,1083409,1083494,1083548,1083750,1083770,1084041,1084397,1084427,1084610,1084772,1084888,1084926,1084928,1084967,1085011,1085015,1085045,1085047,1085050,1085053,1085054,1085056,1085107,1085224,1085239,863764,963844,966170,966172,966328,969476,969477,973818,975772,983145,985025
CVE References: CVE-2017-13166,CVE-2017-15129,CVE-2017-15951,CVE-2017-16644,CVE-2017-16912,CVE-2017-16913,CVE-2017-17712,CVE-2017-17862,CVE-2017-17864,CVE-2017-17975,CVE-2017-18017,CVE-2017-18174,CVE-2017-18208,CVE-2017-5715,CVE-2018-1000004,CVE-2018-1000026,CVE-2018-5332,CVE-2018-5333,CVE-2018-8087
Sources used:
SUSE Linux Enterprise Real Time Extension 12-SP3 (src):    kernel-rt-4.4.120-3.8.1, kernel-rt_debug-4.4.120-3.8.1, kernel-source-rt-4.4.120-3.8.1, kernel-syms-rt-4.4.120-3.8.1
Comment 25 Swamp Workflow Management 2018-04-20 13:07:35 UTC
SUSE-SU-2018:0988-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    kgraft-patch-SLE12-SP1_Update_24-2-2.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    kgraft-patch-SLE12-SP1_Update_24-2-2.1
Comment 26 Swamp Workflow Management 2018-04-20 13:08:50 UTC
SUSE-SU-2018:0989-1: An update that solves four vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1073230,1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    kgraft-patch-SLE12-SP2_Update_14-5-2.2
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    kgraft-patch-SLE12-SP2_Update_14-5-2.2
Comment 27 Swamp Workflow Management 2018-04-20 13:10:59 UTC
SUSE-SU-2018:0992-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    kgraft-patch-SLE12-SP1_Update_18-7-2.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    kgraft-patch-SLE12-SP1_Update_18-7-2.1
Comment 28 Swamp Workflow Management 2018-04-20 13:12:06 UTC
SUSE-SU-2018:0993-1: An update that solves four vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1073230,1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    kgraft-patch-SLE12-SP2_Update_12-8-2.2
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    kgraft-patch-SLE12-SP2_Update_12-8-2.2
Comment 29 Swamp Workflow Management 2018-04-20 13:12:54 UTC
SUSE-SU-2018:0994-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Server 12-LTSS (src):    kgraft-patch-SLE12_Update_30-3-2.1
Comment 30 Swamp Workflow Management 2018-04-20 13:13:49 UTC
SUSE-SU-2018:0995-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Server 12-LTSS (src):    kgraft-patch-SLE12_Update_28-4-2.1
Comment 31 Swamp Workflow Management 2018-04-20 13:14:44 UTC
SUSE-SU-2018:0996-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Server 12-LTSS (src):    kgraft-patch-SLE12_Update_24-7-2.1
Comment 32 Swamp Workflow Management 2018-04-20 13:16:03 UTC
SUSE-SU-2018:0997-1: An update that solves four vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1073230,1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Live Patching 12-SP3 (src):    kgraft-patch-SLE12-SP3_Update_2-6-2.1
Comment 33 Swamp Workflow Management 2018-04-20 13:17:34 UTC
SUSE-SU-2018:0999-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Server 12-LTSS (src):    kgraft-patch-SLE12_Update_22-9-2.1
Comment 34 Swamp Workflow Management 2018-04-20 13:18:32 UTC
SUSE-SU-2018:1000-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Server 12-LTSS (src):    kgraft-patch-SLE12_Update_26-7-2.1
Comment 35 Swamp Workflow Management 2018-04-20 13:19:31 UTC
SUSE-SU-2018:1001-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Server 12-LTSS (src):    kgraft-patch-SLE12_Update_27-6-2.1
Comment 36 Swamp Workflow Management 2018-04-20 13:22:05 UTC
SUSE-SU-2018:1004-1: An update that solves four vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1073230,1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    kgraft-patch-SLE12-SP2_Update_16-4-2.2
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    kgraft-patch-SLE12-SP2_Update_16-4-2.2
Comment 37 Swamp Workflow Management 2018-04-20 13:23:01 UTC
SUSE-SU-2018:1005-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    kgraft-patch-SLE12-SP1_Update_20-7-2.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    kgraft-patch-SLE12-SP1_Update_20-7-2.1
Comment 38 Swamp Workflow Management 2018-04-20 13:23:58 UTC
SUSE-SU-2018:1006-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Server 12-LTSS (src):    kgraft-patch-SLE12_Update_23-8-2.1
Comment 39 Swamp Workflow Management 2018-04-20 13:25:04 UTC
SUSE-SU-2018:1007-1: An update that solves four vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1073230,1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    kgraft-patch-SLE12-SP2_Update_13-7-2.2
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    kgraft-patch-SLE12-SP2_Update_13-7-2.2
Comment 40 Swamp Workflow Management 2018-04-20 13:26:03 UTC
SUSE-SU-2018:1008-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    kgraft-patch-SLE12-SP1_Update_16-9-2.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    kgraft-patch-SLE12-SP1_Update_16-9-2.1
Comment 41 Swamp Workflow Management 2018-04-20 13:26:48 UTC
SUSE-SU-2018:1009-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Server 12-LTSS (src):    kgraft-patch-SLE12_Update_25-7-2.1
Comment 42 Swamp Workflow Management 2018-04-20 13:27:35 UTC
SUSE-SU-2018:1010-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Server 12-LTSS (src):    kgraft-patch-SLE12_Update_21-9-2.1
Comment 43 Swamp Workflow Management 2018-04-20 13:28:45 UTC
SUSE-SU-2018:1011-1: An update that solves four vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1073230,1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    kgraft-patch-SLE12-SP2_Update_15-5-2.2
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    kgraft-patch-SLE12-SP2_Update_15-5-2.2
Comment 44 Swamp Workflow Management 2018-04-20 13:29:51 UTC
SUSE-SU-2018:1012-1: An update that solves four vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1073230,1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    kgraft-patch-SLE12-SP2_Update_7-10-2.2
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    kgraft-patch-SLE12-SP2_Update_7-10-2.2
Comment 45 Swamp Workflow Management 2018-04-20 13:30:52 UTC
SUSE-SU-2018:1013-1: An update that solves four vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1073230,1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Live Patching 12-SP3 (src):    kgraft-patch-SLE12-SP3_Update_4-5-2.1
Comment 46 Swamp Workflow Management 2018-04-20 13:31:38 UTC
SUSE-SU-2018:1014-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    kgraft-patch-SLE12-SP1_Update_21-6-2.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    kgraft-patch-SLE12-SP1_Update_21-6-2.1
Comment 47 Swamp Workflow Management 2018-04-20 13:32:30 UTC
SUSE-SU-2018:1015-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    kgraft-patch-SLE12-SP1_Update_17-8-2.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    kgraft-patch-SLE12-SP1_Update_17-8-2.1
Comment 48 Swamp Workflow Management 2018-04-20 13:34:50 UTC
SUSE-SU-2018:1018-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    kgraft-patch-SLE12-SP1_Update_23-3-2.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    kgraft-patch-SLE12-SP1_Update_23-3-2.1
Comment 49 Swamp Workflow Management 2018-04-20 13:36:00 UTC
SUSE-SU-2018:1019-1: An update that solves four vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1073230,1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    kgraft-patch-SLE12-SP2_Update_8-10-2.2
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    kgraft-patch-SLE12-SP2_Update_8-10-2.2
Comment 50 Swamp Workflow Management 2018-04-20 13:37:06 UTC
SUSE-SU-2018:1020-1: An update that solves four vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1073230,1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Live Patching 12-SP3 (src):    kgraft-patch-SLE12-SP3_Update_3-6-2.1
Comment 51 Swamp Workflow Management 2018-04-20 13:38:16 UTC
SUSE-SU-2018:1021-1: An update that solves four vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1073230,1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    kgraft-patch-SLE12-SP2_Update_9-9-2.2
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    kgraft-patch-SLE12-SP2_Update_9-9-2.2
Comment 52 Swamp Workflow Management 2018-04-20 13:39:30 UTC
SUSE-SU-2018:1022-1: An update that solves four vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1073230,1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Live Patching 12-SP3 (src):    kgraft-patch-SLE12-SP3_Update_7-4-2.1
Comment 53 Swamp Workflow Management 2018-04-20 13:40:41 UTC
SUSE-SU-2018:1023-1: An update that solves four vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1073230,1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    kgraft-patch-SLE12-SP2_Update_11-8-2.2
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    kgraft-patch-SLE12-SP2_Update_11-8-2.2
Comment 54 Swamp Workflow Management 2018-04-20 13:41:39 UTC
SUSE-SU-2018:1024-1: An update that solves four vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1073230,1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Live Patching 12-SP3 (src):    kgraft-patch-SLE12-SP3_Update_1-7-2.1
Comment 55 Swamp Workflow Management 2018-04-20 13:42:37 UTC
SUSE-SU-2018:1025-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    kgraft-patch-SLE12-SP1_Update_15-9-2.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    kgraft-patch-SLE12-SP1_Update_15-9-2.1
Comment 56 Swamp Workflow Management 2018-04-20 13:44:37 UTC
SUSE-SU-2018:1027-1: An update that solves four vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1073230,1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Live Patching 12-SP3 (src):    kgraft-patch-SLE12-SP3_Update_6-4-2.1
Comment 57 Swamp Workflow Management 2018-04-20 13:45:50 UTC
SUSE-SU-2018:1028-1: An update that solves four vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1073230,1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Live Patching 12-SP3 (src):    kgraft-patch-SLE12-SP3_Update_5-4-2.1
Comment 58 Swamp Workflow Management 2018-04-20 13:46:42 UTC
SUSE-SU-2018:1029-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Server 12-LTSS (src):    kgraft-patch-SLE12_Update_29-4-2.1
Comment 59 Swamp Workflow Management 2018-04-20 13:48:42 UTC
SUSE-SU-2018:1031-1: An update that solves four vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1073230,1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    kgraft-patch-SLE12-SP2_Update_17-4-2.2
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    kgraft-patch-SLE12-SP2_Update_17-4-2.2
Comment 60 Swamp Workflow Management 2018-04-20 13:49:51 UTC
SUSE-SU-2018:1032-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    kgraft-patch-SLE12-SP1_Update_19-7-2.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    kgraft-patch-SLE12-SP1_Update_19-7-2.1
Comment 61 Swamp Workflow Management 2018-04-20 13:51:01 UTC
SUSE-SU-2018:1033-1: An update that solves four vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1073230,1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    kgraft-patch-SLE12-SP2_Update_10-9-2.2
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    kgraft-patch-SLE12-SP2_Update_10-9-2.2
Comment 62 Swamp Workflow Management 2018-04-20 13:51:58 UTC
SUSE-SU-2018:1034-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1076017,1083488,1085114,1085447
CVE References: CVE-2017-13166,CVE-2018-1000004,CVE-2018-1068,CVE-2018-7566
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    kgraft-patch-SLE12-SP1_Update_22-4-2.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    kgraft-patch-SLE12-SP1_Update_22-4-2.1
Comment 63 Marcus Meissner 2018-04-21 07:15:39 UTC
released